{% extends 'base.html' %}

{% block content %}
<h1 style="width: 100%">{% block title %} Make Request {% endblock %}</h1>

<form method="get">
    <p>
        GET
        <label for="param">param</label>
        <input type="text" name="param" placeholder="any' OR 1=1--">
        </input>
    </p>
    <p>
        <button type="submit">Submit</button>
    </p>
</form>

<form method="post">
    <p>
        POST
        <label for="param">param</label>
        <input type="text" name="param" placeholder="carl">
        </input>
    </p>
    <p>
        <button type="submit">Submit</button>
    </p>
</form>

<div class="content">
    {% for user in users %}
    <div class="user">
        <p><b>#{{ user.id }}</b></p>
        <b>
            <p class="name">
                <a href="{{ url_for('user', user_id=user.id)}}">
                    {{ user.firstname }} {{ user.lastname }}
                </a>
            </p>
        </b>
        <p>{{ user.email }}</p>
        <p>{{ user.age }} years old.</p>
        <p>Joined: {{ user.created_at }}</p>
        <div class="bio">
            <h4>Bio</h4>
            <p>{{ user.bio }}</p>
        </div>
        <a href="{{ url_for('edit', user_id=user.id) }}">Edit</a>

        <hr>
        <form method="POST" action="{{ url_for('delete', user_id=user.id) }}">
            <input type="submit" value="Delete user"
                onclick="return confirm('Are you sure you want to delete this entry?')">
        </form>

    </div>
    {% endfor %}
</div>
{% endblock %}